; ====================================================;
;                                                     ;
;   wintrust.inc for EC v2 SolAsm classic projects    ;
;                   (version 1.0.0)                   ;
;                                                     ;
;            Copyright  Ramon Sala - 2020            ;
;                                                     ;
; ====================================================;

#ifndef WINTRUST_INC
WINTRUST_INC equ 1

#if COFF_FORMAT == 1
    from_lib wintrust.lib
#else
    from_dll wintrust.dll
#endif

import AddPersonalTrustDBPages
import CatalogCompactHashDatabase
import CryptCATAdminAcquireContext
import CryptCATAdminAcquireContext2
import CryptCATAdminAddCatalog
import CryptCATAdminCalcHashFromFileHandle
import CryptCATAdminCalcHashFromFileHandle2
import CryptCATAdminEnumCatalogFromHash
import CryptCATAdminPauseServiceForBackup
import CryptCATAdminReleaseCatalogContext
import CryptCATAdminReleaseContext
import CryptCATAdminRemoveCatalog
import CryptCATAdminResolveCatalogPath
import CryptCATAllocSortedMemberInfo
import CryptCATCDFClose
import CryptCATCDFEnumAttributes
import CryptCATCDFEnumAttributesWithCDFTag
import CryptCATCDFEnumCatAttributes
import CryptCATCDFEnumMembers
import CryptCATCDFEnumMembersByCDFTag
import CryptCATCDFEnumMembersByCDFTagEx
import CryptCATCDFOpen
import CryptCATCatalogInfoFromContext
import CryptCATClose
import CryptCATEnumerateAttr
import CryptCATEnumerateCatAttr
import CryptCATEnumerateMember
import CryptCATFreeSortedMemberInfo
import CryptCATGetAttrInfo
import CryptCATGetCatAttrInfo
import CryptCATGetMemberInfo
import CryptCATHandleFromStore
import CryptCATOpen
import CryptCATPersistStore
import CryptCATPutAttrInfo
import CryptCATPutCatAttrInfo
import CryptCATPutMemberInfo
import CryptCATStoreFromHandle
import CryptSIPCreateIndirectData
import CryptSIPGetCaps
import CryptSIPGetSignedDataMsg
import CryptSIPPutSignedDataMsg
import CryptSIPRemoveSignedDataMsg
import CryptSIPVerifyIndirectData
import DriverCleanupPolicy
import DriverFinalPolicy
import DriverInitializePolicy
import FindCertsByIssuer
import GenericChainCertificateTrust
import GenericChainFinalProv
import HTTPSCertificateTrust
import HTTPSFinalProv
import IsCatalogFile
import MsCatConstructHashTag
import MsCatFreeHashTag
import OfficeCleanupPolicy
import OfficeInitializePolicy
import OpenPersonalTrustDBDialog
import OpenPersonalTrustDBDialogEx
import SoftpubAuthenticode
import SoftpubCheckCert
import SoftpubCleanup
import SoftpubDefCertInit
import SoftpubDllRegisterServer
import SoftpubDllUnregisterServer
import SoftpubDumpStructure
import SoftpubFreeDefUsageCallData
import SoftpubInitialize
import SoftpubLoadDefUsageCallData
import SoftpubLoadMessage
import SoftpubLoadSignature
import TrustDecode
import TrustFindIssuerCertificate
import TrustFreeDecode
import TrustIsCertificateSelfSigned
import TrustOpenStores
import WTHelperCertCheckValidSignature
import WTHelperCertFindIssuerCertificate
import WTHelperCertIsSelfSigned
import WTHelperCheckCertUsage
import WTHelperGetAgencyInfo
import WTHelperGetFileHandle
import WTHelperGetFileHash
import WTHelperGetFileName
import WTHelperGetKnownUsages
import WTHelperGetProvCertFromChain
import WTHelperGetProvPrivateDataFromChain
import WTHelperGetProvSignerFromChain
import WTHelperIsInRootStore
import WTHelperOpenKnownStores
import WTHelperProvDataFromStateData
import WVTAsn1CatMemberInfoDecode
import WVTAsn1CatMemberInfoEncode
import WVTAsn1CatNameValueDecode
import WVTAsn1CatNameValueEncode
import WVTAsn1SpcFinancialCriteriaInfoDecode
import WVTAsn1SpcFinancialCriteriaInfoEncode
import WVTAsn1SpcIndirectDataContentDecode
import WVTAsn1SpcIndirectDataContentEncode
import WVTAsn1SpcLinkDecode
import WVTAsn1SpcLinkEncode
import WVTAsn1SpcMinimalCriteriaInfoDecode
import WVTAsn1SpcMinimalCriteriaInfoEncode
import WVTAsn1SpcPeImageDataDecode
import WVTAsn1SpcPeImageDataEncode
import WVTAsn1SpcSigInfoDecode
import WVTAsn1SpcSigInfoEncode
import WVTAsn1SpcSpAgencyInfoDecode
import WVTAsn1SpcSpAgencyInfoEncode
import WVTAsn1SpcSpOpusInfoDecode
import WVTAsn1SpcSpOpusInfoEncode
import WVTAsn1SpcStatementTypeDecode
import WVTAsn1SpcStatementTypeEncode
import WinVerifyTrust
import WinVerifyTrustEx
import WintrustAddActionID
import WintrustAddDefaultForUsage
import WintrustCertificateTrust
import WintrustGetDefaultForUsage
import WintrustGetRegPolicyFlags
import WintrustLoadFunctionPointers
import WintrustRemoveActionID
import WintrustSetDefaultIncludePEPageHashes
import WintrustSetRegPolicyFlags
import mscat32DllRegisterServer
import mscat32DllUnregisterServer
import mssip32DllRegisterServer
import mssip32DllUnregisterServer

#endif ;WINTRUST_INC
